#pragma once
#include "glm/glm.hpp"
#include "glm/gtc/quaternion.hpp"
#include "Component.hpp"
// The transformation applied to the GameObject. 1 per GameObject.
class Transform : public Component {
public:
	Transform(GameObject* gameObject) : Component(gameObject) {}

	glm::vec2 GetPosition() { return position; }
	void SetPosition(glm::vec2 value) { position = value; }
	float GetRotation() { return rotation; }
	void SetRotation(float value) { rotation = value; }
	glm::vec2 GetScale() { return scale; }
	void SetScale(glm::vec2 value) { scale = value; }
private:
	glm::vec2 position;
	float rotation = 0;
	glm::vec2 scale{1,1};
};
